from app.repositories.qdrant_repository import QdrantRepository
from app.services.embedding_service import build_embedding

async def find_existing_project(qdrant_repo: QdrantRepository, user_input: str):
    # query_vector = await build_embedding.get_mesh_embedding(user_input)
    dummy_vector = [0.0] * 1024 
    return await qdrant_repo.search_similar_project(query_vector=dummy_vector)